Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TiePermissionBundle

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SystemObject

                        |

                        +--oracle.ifs.server.S_TieSystemObject

                              |

                              +--oracle.ifs.server.S_PermissionBundle

                                    |

                                    +--oracle.ifs.server.S_TiePermissionBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

public class S_TiePermissionBundle
extends S_PermissionBundle

S_TiePermissionBundle allows the Oracle-defined behavior of the PERMISSIONBUNDLE classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_PermissionBundle`

Constructor Summary
`protected` | `S_TiePermissionBundle(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TiePermissionBundle for a new PERMISSIONBUNDLE.
`protected` | `S_TiePermissionBundle(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TiePermissionBundle for an existing PERMISSIONBUNDLE.

Methods inherited from class oracle.ifs.server.S_PermissionBundle
`getAccessLevel`

Methods inherited from class oracle.ifs.server.S_SystemObject
`extendedPreInsert`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, extendedPreUpdate, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TiePermissionBundle

    protected S_TiePermissionBundle(S_LibrarySession session,
                                    S_LibraryObjectData data)
                             throws IfsException

  Constructs an S_TiePermissionBundle for an existing PERMISSIONBUNDLE.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TiePermissionBundle

    protected S_TiePermissionBundle(S_LibrarySession session,
                                    java.lang.Long classId)
                             throws IfsException

  Constructs an S_TiePermissionBundle for a new PERMISSIONBUNDLE.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD